	BYTE LINE(132)
	INCLUDE '($SMGDEF)'
	INTEGER*4 PASTE,DISPLY,KEYBD,KEYTBL,RENDIT,TTYPE,DEVDP2
	COMMON /SMG/PASTE,DISPLY,KEYBD,KEYTBL,RENDIT,TTYPE,DEVDP2
	CALL UVT100(18)
	CALL TTYINI
	CALL UVT100(16,1)
	CALL SMG$PUT_CHARS(DISPLY,'START',1,1,,SMG$M_REVERSE)
	CALL UVT100(13,7)
	CALL SMG$PUT_CHARS(DISPLY,'ING',,,,RENDIT)
	CALL UVT100(13,0)
1	CALL UVT100(11,2)
	CALL UVT100(1,4,4)
	CALL UVT100(13,7)
	CALL LWRITE(6,'Hello world',11)
	CALL UVT100(13,0)
	CALL UVT100(1,5,5)
	CALL LWRITE(6,11HHello world,11)
	CALL LWRITE(2,11HHello world,11)
	I=LREAD(5,LINE,80)
	CALL UVT100(1,7,7)
	CALL LWRITE(6,LINE,I)
	CALL LWRITE(2,LINE,I)
	CALL GETTTL(LINE)
	CALL UVT100(1,9,9)
	CALL LWRITE(6,LINE,80)
	CALL LWRITE(2,LINE,80)
	CALL LWRITE(2,,0)
	CALL LIB$WAIT(5.)
	GOTO 1
	END
